Package com.oracle.nosql.spring.data.repository

# Interface ReactiveNosqlRepository<T,K>

All Superinterfaces:
  `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,K>`, `org.springframework.data.repository.reactive.ReactiveSortingRepository<T,K>`, `org.springframework.data.repository.Repository<T,K>`

All Known Implementing Classes:
  `SimpleReactiveNosqlRepository`

@NoRepositoryBean public interface ReactiveNosqlRepository<T,K> extends org.springframework.data.repository.reactive.ReactiveSortingRepository<T,K>, org.springframework.data.repository.reactive.ReactiveCrudRepository<T,K>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearPreparedStatementsCache()`
  Clears the prepared statements cache.
  `String`
  `getConsistency()`
  Returns the configured read request consistency value.
  `String`
  `getDurability()`
  Returns the configured request durability value.
  `int`
  `getTimeout()`
  Returns the configured request timeout value, in milliseconds, or 0 if it has not been set.
  `void`
  `setConsistency(String consistency)`
  Sets the read request consistency value.
  `void`
  `setDurability(String durability)`
  Sets the request durability value.
  `void`
  `setTimeout(int milliseconds)`
  Sets the request timeout value, in milliseconds.

  ### Methods inherited from interface org.springframework.data.repository.reactive.ReactiveCrudRepository

  `count, delete, deleteAll, deleteAll, deleteAll, deleteAllById, deleteById, deleteById, existsById, existsById, findAll, findAllById, findAllById, findById, findById, save, saveAll, saveAll`

  ### Methods inherited from interface org.springframework.data.repository.reactive.ReactiveSortingRepository

  `findAll`

- ## Method Details

  - ### getTimeout

    int getTimeout()
    Returns the configured request timeout value, in milliseconds, or 0 if it has not been set.

  - ### setTimeout

    void setTimeout(int milliseconds)
    Sets the request timeout value, in milliseconds. This overrides any default value set in NoSQLHandleConfig. The value must be positive. This set takes precedence over the one set when using `NosqlTable.timeout()`.

  - ### getConsistency

    String getConsistency()
    Returns the configured read request consistency value.

  - ### setConsistency

    void setConsistency(String consistency)
    Sets the read request consistency value. The value must be one of `Consistency` values. This set takes precedence over the one set when using `NosqlTable.consistency()`.

  - ### getDurability

    String getDurability()
    Returns the configured request durability value.

  - ### setDurability

    void setDurability(String durability)
    Sets the request durability value. The value must be one of the defined Durability values: `Durability.COMMIT_NO_SYNC`, `Durability.COMMIT_WRITE_NO_SYNC` or `Durability.COMMIT_SYNC`.

    This set takes precedence over the one set when using `NosqlTable.durability()`.

    Note: This applies to On-Prem installations only.

  - ### clearPreparedStatementsCache

    void clearPreparedStatementsCache()
    Clears the prepared statements cache.